HtmlPage (RichFaces JSF components library 3.1.2.GA API)
Keywords: org.ajax4jsf.component.html.HtmlPage class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.component.html
Class HtmlPage

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIPanel
                  org.ajax4jsf.component.UIAjaxRegion
                      org.ajax4jsf.component.html.HtmlPage

All Implemented Interfaces:
  javax.faces.component.StateHolder, org.ajax4jsf.component.AjaxContainer, org.ajax4jsf.component.AjaxContainerBase, org.ajax4jsf.event.AjaxSource

    public class HtmlPage

extends UIAjaxRegion

Component-Type org.ajax4jsf.components.Page Component-Family org.ajax4jsf.components.AjaxRegion Renderer-Type org.ajax4jsf.components.AjaxPageRenderer This component renders a full HTML page structure. It must be the first (and only) child for the view root (JSP &lt;f:view&gt; tag). No HTML code can be outside of this component. It also has support for processing child components in AJAX requests, just like &lt;a4j:region&gt;. For a normal request, it will render the results of a &lt;script&gt; element with a client-side library at the page's &lt;head&gt;. If this component includes a "head" facet, the facet's content will also be rendered at the &lt;head&gt; element. For an AJAX request, only affected components in the full document structure will be rendered. Here's an example of using it in JSP (jspx version): &lt;jsp:root xmlns:.... &lt;f:view&gt; &lt;a4j:page&gt;&lt;f:facet name="head"&gt; ... &lt;/f:facet&gt; &lt;!-- page content here --&gt; &lt;/a4j:page&gt; &lt;/f:view&gt;&lt;/jsp:root&gt;

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Constructor Summary
`HtmlPage()` Constructor to init default renderers

Method Summary
`java.lang.String` | `getContentType()` Set custom mime content type to response Getter for contentType
`java.lang.String` | `getDir()` Direction indication for text that does not inherit directionality.
`java.lang.String` | `getFamily()`
`java.lang.String` | `getFormat()` Page layout format ( html, xhtml, html-transitional, html-3.2 ) for encoding DOCTYPE, namespace and Content-Type definitions Getter for format
`java.lang.String` | `getLang()` Code describing the language used in the generated markup for this component Getter for lang
`java.lang.String` | `getNamespace()` Set html element default namespace Getter for namespace
`java.lang.String` | `getOnload()` JavaScript code to execute on a page load.
`java.lang.String` | `getOnunload()` JavaScript code to execute on a page unload.
`java.lang.String` | `getPageTitle()` String for output as a page title.
`java.lang.String` | `getStyle()` CSS style(s) is/are to be applied when this component is rendered Getter for style
`java.lang.String` | `getStyleClass()` Corresponds to the HTML class attribute Getter for styleClass
`java.lang.String` | `getTitle()` Advisory title information about markup elements generated for this component Getter for title
`boolean` | `isRenderRegionOnly()` Flag to disable rendering in AJAX responses content outside of active region.
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setContentType(java.lang.String __contentType)` Set custom mime content type to response Setter for contentType
`void` | `setDir(java.lang.String __dir)` Direction indication for text that does not inherit directionality.
`void` | `setFormat(java.lang.String __format)` Page layout format ( html, xhtml, html-transitional, html-3.2 ) for encoding DOCTYPE, namespace and Content-Type definitions Setter for format
`void` | `setLang(java.lang.String __lang)` Code describing the language used in the generated markup for this component Setter for lang
`void` | `setNamespace(java.lang.String __namespace)` Set html element default namespace Setter for namespace
`void` | `setOnload(java.lang.String __onload)` JavaScript code to execute on a page load.
`void` | `setOnunload(java.lang.String __onunload)` JavaScript code to execute on a page unload.
`void` | `setPageTitle(java.lang.String __pageTitle)` String for output as a page title.
`void` | `setRenderRegionOnly(boolean __renderRegionOnly)` Flag to disable rendering in AJAX responses content outside of active region.
`void` | `setStyle(java.lang.String __style)` CSS style(s) is/are to be applied when this component is rendered Setter for style
`void` | `setStyleClass(java.lang.String __styleClass)` Corresponds to the HTML class attribute Setter for styleClass
`void` | `setTitle(java.lang.String __title)` Advisory title information about markup elements generated for this component Setter for title

Methods inherited from class org.ajax4jsf.component.UIAjaxRegion
`addAjaxListener, broadcast, encodeAjax, encodeChildren, getAjaxListener, getAjaxListeners, isImmediate, isSelfRendered, isSubmitted, removeAjaxListener, setAjaxListener, setImmediate, setSelfRendered, setSubmitted`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, decode, encodeBegin, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### HtmlPage

    public HtmlPage()

  Constructor to init default renderers

Method Detail

### setNamespace

    public void setNamespace(java.lang.String __namespace)

  Set html element default namespace Setter for namespace

  Parameters:
    `namespace` - - new value

### getNamespace

    public java.lang.String getNamespace()

  Set html element default namespace Getter for namespace

  Returns:
    namespace value from local variable or value bindings

### setLang

    public void setLang(java.lang.String __lang)

  Code describing the language used in the generated markup for this component Setter for lang

  Parameters:
    `lang` - - new value

### getLang

    public java.lang.String getLang()

  Code describing the language used in the generated markup for this component Getter for lang

  Returns:
    lang value from local variable or value bindings

### setTitle

    public void setTitle(java.lang.String __title)

  Advisory title information about markup elements generated for this component Setter for title

  Parameters:
    `title` - - new value

### getTitle

    public java.lang.String getTitle()

  Advisory title information about markup elements generated for this component Getter for title

  Returns:
    title value from local variable or value bindings

### setRenderRegionOnly

    public void setRenderRegionOnly(boolean __renderRegionOnly)

  Flag to disable rendering in AJAX responses content outside of active region. If this attribute set to "true" , no one of the components outside of region will be included to AJAX response. If set to "false", search for components to include in response will be performed on all tree. Default "true" Setter for renderRegionOnly

  Parameters:
    `renderRegionOnly` - - new value

### isRenderRegionOnly

    public boolean isRenderRegionOnly()

  Flag to disable rendering in AJAX responses content outside of active region. If this attribute set to "true" , no one of the components outside of region will be included to AJAX response. If set to "false", search for components to include in response will be performed on all tree. Default "true" Getter for renderRegionOnly

  Returns:
    renderRegionOnly value from local variable or value bindings

### setOnunload

    public void setOnunload(java.lang.String __onunload)

  JavaScript code to execute on a page unload. Setter for onunload

  Parameters:
    `onunload` - - new value

### getOnunload

    public java.lang.String getOnunload()

  JavaScript code to execute on a page unload. Getter for onunload

  Returns:
    onunload value from local variable or value bindings

### setContentType

    public void setContentType(java.lang.String __contentType)

  Set custom mime content type to response Setter for contentType

  Parameters:
    `contentType` - - new value

### getContentType

    public java.lang.String getContentType()

  Set custom mime content type to response Getter for contentType

  Returns:
    contentType value from local variable or value bindings

### setDir

    public void setDir(java.lang.String __dir)

  Direction indication for text that does not inherit directionality. Valid values are "LTR" (left-to-right) and "RTL" (right-to-left) Setter for dir

  Parameters:
    `dir` - - new value

### getDir

    public java.lang.String getDir()

  Direction indication for text that does not inherit directionality. Valid values are "LTR" (left-to-right) and "RTL" (right-to-left) Getter for dir

  Returns:
    dir value from local variable or value bindings

### setStyleClass

    public void setStyleClass(java.lang.String __styleClass)

  Corresponds to the HTML class attribute Setter for styleClass

  Parameters:
    `styleClass` - - new value

### getStyleClass

    public java.lang.String getStyleClass()

  Corresponds to the HTML class attribute Getter for styleClass

  Returns:
    styleClass value from local variable or value bindings

### setOnload

    public void setOnload(java.lang.String __onload)

  JavaScript code to execute on a page load. Setter for onload

  Parameters:
    `onload` - - new value

### getOnload

    public java.lang.String getOnload()

  JavaScript code to execute on a page load. Getter for onload

  Returns:
    onload value from local variable or value bindings

### setPageTitle

    public void setPageTitle(java.lang.String __pageTitle)

  String for output as a page title. Setter for pageTitle

  Parameters:
    `pageTitle` - - new value

### getPageTitle

    public java.lang.String getPageTitle()

  String for output as a page title. Getter for pageTitle

  Returns:
    pageTitle value from local variable or value bindings

### setStyle

    public void setStyle(java.lang.String __style)

  CSS style(s) is/are to be applied when this component is rendered Setter for style

  Parameters:
    `style` - - new value

### getStyle

    public java.lang.String getStyle()

  CSS style(s) is/are to be applied when this component is rendered Getter for style

  Returns:
    style value from local variable or value bindings

### setFormat

    public void setFormat(java.lang.String __format)

  Page layout format ( html, xhtml, html-transitional, html-3.2 ) for encoding DOCTYPE, namespace and Content-Type definitions Setter for format

  Parameters:
    `format` - - new value

### getFormat

    public java.lang.String getFormat()

  Page layout format ( html, xhtml, html-transitional, html-3.2 ) for encoding DOCTYPE, namespace and Content-Type definitions Getter for format

  Returns:
    format value from local variable or value bindings

### getFamily

    public java.lang.String getFamily()

  Overrides:
    `getFamily` in class `javax.faces.component.UIPanel`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `UIAjaxRegion`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `UIAjaxRegion`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.